Subject: Re: [PATCH 3/2] notes-merge: Don't remove .git/NOTES_MERGE_WORKTREE; it may be the user's cwd

From: Johannes Sixt <[email-masked]>
Date: Thu, 15 Mar 2012 09:12:42 +0100

Am 3/15/2012 0:55, schrieb Johan Herland:
> When a manual notes merge is committed or aborted, we need to remove the
> temporary worktree at .git/NOTES_MERGE_WORKTREE. However, removing the
> entire directory is not good if the user ran the 'git notes merge
> --commit/--abort' from within that directory. On Windows, the directory
> removal would simply fail, while on POSIX systems, users would suddenly
> find themselves in an invalid current directory.
> 
> Therefore, instead of deleting the entire directory, we delete everything
> _within_ the directory, and leave the (empty) directory in place.

Just a data point: With this patch, the test passes on Windows.

-- Hannes